extra line at prompt?

Discussion in 'AutoCAD' started by Devronious, Sep 16, 2004.

  1. Devronious

    Devronious Guest

    I'm getting an extra line at the command prompt after autolisp execution.
    Does anyone know why? The following is copy/pasted from my command history.
    Notice the extra blank lines :(

    Command: (defun c:test () (setq temp 0.123))
    C:TEST

    Command: (defun ftest () (setq temp 0.123))
    FTEST

    Command: test
    0.123

    Command: (ftest)
    0.123
     
    Devronious, Sep 16, 2004
    #1
  2. Devronious

    Douglas Barr Guest

    Close the routine with a (princ) just before the last paren.
     
    Douglas Barr, Sep 16, 2004
    #2
  3. Devronious

    Devronious Guest

    Still does it...

    Command: (defun c:test () (setq temp 0.123)(princ))
    C:TEST

    Command: test

    Command:

    ..
    ..
    ..
    ..
    ..
     
    Devronious, Sep 16, 2004
    #3
  4. Devronious

    DaveS Guest

    Just curious... you only notice the extra line if your in the textscreen, it
    doesn't show up in the command line window. My curiosity is, how is this
    hurting your program?

    Have fun,
    Dave
     
    DaveS, Sep 16, 2004
    #4
  5. Devronious

    Douglas Barr Guest

    (defun c:test1 () (setq temp 0.123))
    this one returns
    0.123
    a single time.

    (defun c:test2 () (setq temp 0.123)(princ))
    this one returns nothing, just the command prompt.

    (defun c:test3 () (setq temp 0.123)(princ temp)(princ))
    this one returns
    0.123
    a single time.

    (defun c:test4 () (setq temp 0.123)(princ "\nTEMP: ")(princ temp)(princ))
    this one returns
    TEMP: 0.123

    I can't get it to duplicate!
    -doug
     
    Douglas Barr, Sep 16, 2004
    #5
  6. Devronious

    Devronious Guest

    It adds an extra empty line to the command promp, that's the annoying part.
    I like to keep my command prompt at the standard 3 lines deep. That way I
    can see the current command plus a prompt above in the history.
     
    Devronious, Sep 16, 2004
    #6
  7. Devronious

    Devronious Guest

    Hi Doug,

    It doesn't duplicate, it's just adding an extra blank line after the
    execution of every command or function.
     
    Devronious, Sep 16, 2004
    #7
  8. Devronious

    DaveS Guest

    It didn't do that at work... let me try it here. I run mine 3 lines too.

    HAve fun,
    Dave
     
    DaveS, Sep 16, 2004
    #8
  9. Devronious

    DaveS Guest

    The extra line is still only showing up in the textscreen part and not in
    the command prompt area. Looks pretty clean form here.

    Have fun,
    Dave
     
    DaveS, Sep 16, 2004
    #9
  10. Devronious

    Xolo Guest

    He means that he can't duplicate the problem that you are getting......

    Xolo

    Hi Doug,

    It doesn't duplicate, it's just adding an extra blank line after the
    execution of every command or function.
     
    Xolo, Sep 16, 2004
    #10
  11. Devronious

    Devronious Guest

    I wonder why mine's showing up in both?

     
    Devronious, Sep 16, 2004
    #11
  12. Devronious

    OLD-CADaver Guest

    Is you command line docked?
     
    OLD-CADaver, Sep 17, 2004
    #12
  13. Devronious

    John Uhden Guest

    It came about with R15. In order to avoid the extra "Command:" echo, you must
    make at least one call to either the (vl-cmdf) function or the (command)
    function. As a matter of habit, I add the extra code right after my local
    *error* declaration...
    (setvar "cmdecho" 0)
    (command "_.expert" (getvar "expert"))
     
    John Uhden, Sep 17, 2004
    #13
  14. Devronious

    Joe Burke Guest

    Thanks, John.

    I've been wondering this question, apparently since I upgraded to R15.

    Joe Burke
     
    Joe Burke, Sep 17, 2004
    #14
  15. Devronious

    Devronious Guest

    Yes
     
    Devronious, Sep 17, 2004
    #15
  16. Devronious

    Devronious Guest

    Thanks John, I never would have known.
     
    Devronious, Sep 17, 2004
    #16
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.